# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.lucene.analysis.ar.ArabicAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.ar.ArabicNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"arabicNormalization"`
- org.apache.lucene.analysis.ar.ArabicStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"arabicStem"`

- org.apache.lucene.analysis.bg.BulgarianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.bg.BulgarianStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"bulgarianStem"`

- org.apache.lucene.analysis.bn.BengaliAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.bn.BengaliNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"bengaliNormalization"`
- org.apache.lucene.analysis.bn.BengaliStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"bengaliStem"`

- org.apache.lucene.analysis.boost.DelimitedBoostTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `DEFAULT_DELIMITER`
  `'|'`
  `public static final String`
  `DELIMITER_ATTR`
  `"delimiter"`
  `public static final String`
  `NAME`
  `"delimitedBoost"`

- org.apache.lucene.analysis.br.BrazilianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.br.BrazilianStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"brazilianStem"`

- org.apache.lucene.analysis.ca.CatalanAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`

- org.apache.lucene.analysis.charfilter.HTMLStripCharFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"htmlStrip"`
- org.apache.lucene.analysis.charfilter.MappingCharFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"mapping"`

- org.apache.lucene.analysis.cjk.CJKAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.cjk.CJKBigramFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DOUBLE_TYPE`
  `"<DOUBLE>"`
  `public static final int`
  `HAN`
  `1`
  `public static final int`
  `HANGUL`
  `8`
  `public static final int`
  `HIRAGANA`
  `2`
  `public static final int`
  `KATAKANA`
  `4`
  `public static final String`
  `SINGLE_TYPE`
  `"<SINGLE>"`
- org.apache.lucene.analysis.cjk.CJKBigramFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"cjkBigram"`
- org.apache.lucene.analysis.cjk.CJKWidthCharFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"cjkWidth"`
- org.apache.lucene.analysis.cjk.CJKWidthFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"cjkWidth"`

- org.apache.lucene.analysis.ckb.SoraniAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.ckb.SoraniNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"soraniNormalization"`
- org.apache.lucene.analysis.ckb.SoraniStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"soraniStem"`

- org.apache.lucene.analysis.classic.ClassicAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_TOKEN_LENGTH`
  `255`
- org.apache.lucene.analysis.classic.ClassicFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"classic"`
- org.apache.lucene.analysis.classic.ClassicTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACRONYM`
  `2`
  `public static final int`
  `ACRONYM_DEP`
  `8`
  `public static final int`
  `ALPHANUM`
  `0`
  `public static final int`
  `APOSTROPHE`
  `1`
  `public static final int`
  `CJ`
  `7`
  `public static final int`
  `COMPANY`
  `3`
  `public static final int`
  `EMAIL`
  `4`
  `public static final int`
  `HOST`
  `5`
  `public static final int`
  `NUM`
  `6`
- org.apache.lucene.analysis.classic.ClassicTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"classic"`

- org.apache.lucene.analysis.commongrams.CommonGramsFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GRAM_TYPE`
  `"gram"`
- org.apache.lucene.analysis.commongrams.CommonGramsFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"commonGrams"`
- org.apache.lucene.analysis.commongrams.CommonGramsQueryFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"commonGramsQuery"`

- org.apache.lucene.analysis.compound.CompoundWordTokenFilterBase
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_SUBWORD_SIZE`
  `15`
  `public static final int`
  `DEFAULT_MIN_SUBWORD_SIZE`
  `2`
  `public static final int`
  `DEFAULT_MIN_WORD_SIZE`
  `5`
- org.apache.lucene.analysis.compound.DictionaryCompoundWordTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"dictionaryCompoundWord"`
- org.apache.lucene.analysis.compound.HyphenationCompoundWordTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"hyphenationCompoundWord"`

- org.apache.lucene.analysis.compound.hyphenation.TernaryTree
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `BLOCK_SIZE`
  `2048`

- org.apache.lucene.analysis.core.DecimalDigitFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"decimalDigit"`
- org.apache.lucene.analysis.core.FlattenGraphFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"flattenGraph"`
- org.apache.lucene.analysis.core.KeywordTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `256`
- org.apache.lucene.analysis.core.KeywordTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"keyword"`
- org.apache.lucene.analysis.core.LetterTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"letter"`
- org.apache.lucene.analysis.core.LowerCaseFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"lowercase"`
- org.apache.lucene.analysis.core.StopFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"stop"`
- org.apache.lucene.analysis.core.TypeTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"type"`
- org.apache.lucene.analysis.core.UpperCaseFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"uppercase"`
- org.apache.lucene.analysis.core.WhitespaceTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"whitespace"`
  `public static final String`
  `RULE_JAVA`
  `"java"`
  `public static final String`
  `RULE_UNICODE`
  `"unicode"`

- org.apache.lucene.analysis.cz.CzechAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.cz.CzechStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"czechStem"`

- org.apache.lucene.analysis.da.DanishAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"danish_stop.txt"`

- org.apache.lucene.analysis.de.GermanAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"german_stop.txt"`
- org.apache.lucene.analysis.de.GermanLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"germanLightStem"`
- org.apache.lucene.analysis.de.GermanMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"germanMinimalStem"`
- org.apache.lucene.analysis.de.GermanNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"germanNormalization"`
- org.apache.lucene.analysis.de.GermanStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"germanStem"`

- org.apache.lucene.analysis.el.GreekAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.el.GreekLowerCaseFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"greekLowercase"`
- org.apache.lucene.analysis.el.GreekStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"greekStem"`

- org.apache.lucene.analysis.email.UAX29URLEmailAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_TOKEN_LENGTH`
  `255`
- org.apache.lucene.analysis.email.UAX29URLEmailTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALPHANUM`
  `0`
  `public static final int`
  `EMAIL`
  `8`
  `public static final int`
  `EMOJI`
  `9`
  `public static final int`
  `HANGUL`
  `6`
  `public static final int`
  `HIRAGANA`
  `4`
  `public static final int`
  `IDEOGRAPHIC`
  `3`
  `public static final int`
  `KATAKANA`
  `5`
  `public static final int`
  `MAX_TOKEN_LENGTH_LIMIT`
  `1048576`
  `public static final int`
  `NUM`
  `1`
  `public static final int`
  `SOUTHEAST_ASIAN`
  `2`
  `public static final int`
  `URL`
  `7`
- org.apache.lucene.analysis.email.UAX29URLEmailTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"uax29UrlEmail"`
- org.apache.lucene.analysis.email.UAX29URLEmailTokenizerImpl
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `AVOID_BAD_URL`
  `2`
  `public static final int`
  `EMAIL_TYPE`
  `8`
  `public static final int`
  `EMOJI_TYPE`
  `9`
  `public static final int`
  `HANGUL_TYPE`
  `6`
  `public static final int`
  `HIRAGANA_TYPE`
  `4`
  `public static final int`
  `IDEOGRAPHIC_TYPE`
  `3`
  `public static final int`
  `KATAKANA_TYPE`
  `5`
  `public static final int`
  `NUMERIC_TYPE`
  `1`
  `public static final int`
  `SOUTH_EAST_ASIAN_TYPE`
  `2`
  `public static final int`
  `URL_TYPE`
  `7`
  `public static final int`
  `WORD_TYPE`
  `0`
  `public static final int`
  `YYEOF`
  `-1`
  `public static final int`
  `YYINITIAL`
  `0`

- org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FORMAT_SNOWBALL`
  `"snowball"`
  `public static final String`
  `FORMAT_WORDSET`
  `"wordset"`
- org.apache.lucene.analysis.en.EnglishMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"englishMinimalStem"`
- org.apache.lucene.analysis.en.EnglishPossessiveFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"englishPossessive"`
- org.apache.lucene.analysis.en.KStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"kStem"`
- org.apache.lucene.analysis.en.PorterStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"porterStem"`

- org.apache.lucene.analysis.es.SpanishAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"spanish_stop.txt"`
- org.apache.lucene.analysis.es.SpanishLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"spanishLightStem"`
- org.apache.lucene.analysis.es.SpanishMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"spanishMinimalStem"`
- org.apache.lucene.analysis.es.SpanishPluralStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"spanishPluralStem"`

- org.apache.lucene.analysis.et.EstonianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`

- org.apache.lucene.analysis.eu.BasqueAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`

- org.apache.lucene.analysis.fa.PersianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
  `public static final String`
  `STOPWORDS_COMMENT`
  `"#"`
- org.apache.lucene.analysis.fa.PersianCharFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"persian"`
- org.apache.lucene.analysis.fa.PersianNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"persianNormalization"`
- org.apache.lucene.analysis.fa.PersianStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"persianStem"`

- org.apache.lucene.analysis.fi.FinnishAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"finnish_stop.txt"`
- org.apache.lucene.analysis.fi.FinnishLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"finnishLightStem"`

- org.apache.lucene.analysis.fr.FrenchAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"french_stop.txt"`
- org.apache.lucene.analysis.fr.FrenchLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"frenchLightStem"`
- org.apache.lucene.analysis.fr.FrenchMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"frenchMinimalStem"`

- org.apache.lucene.analysis.ga.IrishAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"irish_stop.txt"`
- org.apache.lucene.analysis.ga.IrishLowerCaseFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"irishLowercase"`

- org.apache.lucene.analysis.gl.GalicianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.gl.GalicianMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"galicianMinimalStem"`
- org.apache.lucene.analysis.gl.GalicianStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"galicianStem"`

- org.apache.lucene.analysis.hi.HindiAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.hi.HindiNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"hindiNormalization"`
- org.apache.lucene.analysis.hi.HindiStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"hindiStem"`

- org.apache.lucene.analysis.hu.HungarianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"hungarian_stop.txt"`
- org.apache.lucene.analysis.hu.HungarianLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"hungarianLightStem"`

- org.apache.lucene.analysis.hunspell.HunspellStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"hunspellStem"`

- org.apache.lucene.analysis.hy.ArmenianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`

- org.apache.lucene.analysis.id.IndonesianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.id.IndonesianStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"indonesianStem"`

- org.apache.lucene.analysis.in.IndicNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"indicNormalization"`

- org.apache.lucene.analysis.it.ItalianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"italian_stop.txt"`
- org.apache.lucene.analysis.it.ItalianLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"italianLightStem"`

- org.apache.lucene.analysis.lt.LithuanianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`

- org.apache.lucene.analysis.lv.LatvianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.lv.LatvianStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"latvianStem"`

- org.apache.lucene.analysis.minhash.MinHashFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUCKET_COUNT`
  `512`
  `public static final int`
  `DEFAULT_HASH_COUNT`
  `1`
  `public static final int`
  `DEFAULT_HASH_SET_SIZE`
  `1`
- org.apache.lucene.analysis.minhash.MinHashFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"minHash"`

- org.apache.lucene.analysis.miscellaneous.ASCIIFoldingFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"asciiFolding"`
- org.apache.lucene.analysis.miscellaneous.CapitalizationFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_TOKEN_LENGTH`
  `2147483647`
  `public static final int`
  `DEFAULT_MAX_WORD_COUNT`
  `2147483647`
- org.apache.lucene.analysis.miscellaneous.CapitalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FORCE_FIRST_LETTER`
  `"forceFirstLetter"`
  `public static final String`
  `KEEP`
  `"keep"`
  `public static final String`
  `KEEP_IGNORE_CASE`
  `"keepIgnoreCase"`
  `public static final String`
  `MAX_TOKEN_LENGTH`
  `"maxTokenLength"`
  `public static final String`
  `MAX_WORD_COUNT`
  `"maxWordCount"`
  `public static final String`
  `MIN_WORD_LENGTH`
  `"minWordLength"`
  `public static final String`
  `NAME`
  `"capitalization"`
  `public static final String`
  `OK_PREFIX`
  `"okPrefix"`
  `public static final String`
  `ONLY_FIRST_WORD`
  `"onlyFirstWord"`
- org.apache.lucene.analysis.miscellaneous.CodepointCountFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAX_KEY`
  `"max"`
  `public static final String`
  `MIN_KEY`
  `"min"`
  `public static final String`
  `NAME`
  `"codepointCount"`
- org.apache.lucene.analysis.miscellaneous.ConcatenateGraphFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_GRAPH_EXPANSIONS`
  `10000`
  `public static final boolean`
  `DEFAULT_PRESERVE_POSITION_INCREMENTS`
  `true`
  `public static final boolean`
  `DEFAULT_PRESERVE_SEP`
  `true`
  `public static final int`
  `SEP_LABEL`
  `31`
- org.apache.lucene.analysis.miscellaneous.ConcatenateGraphFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"concatenateGraph"`
- org.apache.lucene.analysis.miscellaneous.ConditionalTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"conditional"`
- org.apache.lucene.analysis.miscellaneous.DateRecognizerFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATE_TYPE`
  `"date"`
- org.apache.lucene.analysis.miscellaneous.DateRecognizerFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATE_PATTERN`
  `"datePattern"`
  `public static final String`
  `LOCALE`
  `"locale"`
  `public static final String`
  `NAME`
  `"dateRecognizer"`
- org.apache.lucene.analysis.miscellaneous.DelimitedTermFrequencyTokenFilter
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `DEFAULT_DELIMITER`
  `'|'`
- org.apache.lucene.analysis.miscellaneous.DelimitedTermFrequencyTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DELIMITER_ATTR`
  `"delimiter"`
  `public static final String`
  `NAME`
  `"delimitedTermFrequency"`
- org.apache.lucene.analysis.miscellaneous.DropIfFlaggedFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"dropIfFlagged"`
- org.apache.lucene.analysis.miscellaneous.FingerprintFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_OUTPUT_TOKEN_SIZE`
  `1024`
  `public static final char`
  `DEFAULT_SEPARATOR`
  `' '`
- org.apache.lucene.analysis.miscellaneous.FingerprintFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAX_OUTPUT_TOKEN_SIZE_KEY`
  `"maxOutputTokenSize"`
  `public static final String`
  `NAME`
  `"fingerprint"`
  `public static final String`
  `SEPARATOR_KEY`
  `"separator"`
- org.apache.lucene.analysis.miscellaneous.FixBrokenOffsetsFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"fixBrokenOffsets"`
- org.apache.lucene.analysis.miscellaneous.HyphenatedWordsFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"hyphenatedWords"`
- org.apache.lucene.analysis.miscellaneous.KeepWordFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"keepWord"`
- org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"keywordMarker"`
  `public static final String`
  `PATTERN`
  `"pattern"`
  `public static final String`
  `PROTECTED_TOKENS`
  `"protected"`
- org.apache.lucene.analysis.miscellaneous.KeywordRepeatFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"keywordRepeat"`
- org.apache.lucene.analysis.miscellaneous.LengthFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAX_KEY`
  `"max"`
  `public static final String`
  `MIN_KEY`
  `"min"`
  `public static final String`
  `NAME`
  `"length"`
- org.apache.lucene.analysis.miscellaneous.LimitTokenCountFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONSUME_ALL_TOKENS_KEY`
  `"consumeAllTokens"`
  `public static final String`
  `MAX_TOKEN_COUNT_KEY`
  `"maxTokenCount"`
  `public static final String`
  `NAME`
  `"limitTokenCount"`
- org.apache.lucene.analysis.miscellaneous.LimitTokenOffsetFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONSUME_ALL_TOKENS_KEY`
  `"consumeAllTokens"`
  `public static final String`
  `MAX_START_OFFSET`
  `"maxStartOffset"`
  `public static final String`
  `NAME`
  `"limitTokenOffset"`
- org.apache.lucene.analysis.miscellaneous.LimitTokenPositionFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONSUME_ALL_TOKENS_KEY`
  `"consumeAllTokens"`
  `public static final String`
  `MAX_TOKEN_POSITION_KEY`
  `"maxTokenPosition"`
  `public static final String`
  `NAME`
  `"limitTokenPosition"`
- org.apache.lucene.analysis.miscellaneous.ProtectedTermFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `FILTER_ARG_SEPARATOR`
  `'.'`
  `public static final char`
  `FILTER_NAME_ID_SEPARATOR`
  `'-'`
  `public static final String`
  `NAME`
  `"protectedTerm"`
  `public static final String`
  `PROTECTED_TERMS`
  `"protected"`
- org.apache.lucene.analysis.miscellaneous.RemoveDuplicatesTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"removeDuplicates"`
- org.apache.lucene.analysis.miscellaneous.ScandinavianFoldingFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"scandinavianFolding"`
- org.apache.lucene.analysis.miscellaneous.ScandinavianNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"scandinavianNormalization"`
- org.apache.lucene.analysis.miscellaneous.StemmerOverrideFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"stemmerOverride"`
- org.apache.lucene.analysis.miscellaneous.TrimFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"trim"`
- org.apache.lucene.analysis.miscellaneous.TruncateTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"truncate"`
  `public static final String`
  `PREFIX_LENGTH_KEY`
  `"prefixLength"`
- org.apache.lucene.analysis.miscellaneous.TypeAsSynonymFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"typeAsSynonym"`
- org.apache.lucene.analysis.miscellaneous.WordDelimiterFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALPHA`
  `3`
  `public static final int`
  `ALPHANUM`
  `7`
  `public static final int`
  `CATENATE_ALL`
  `16`
  `public static final int`
  `CATENATE_NUMBERS`
  `8`
  `public static final int`
  `CATENATE_WORDS`
  `4`
  `public static final int`
  `DIGIT`
  `4`
  `public static final int`
  `GENERATE_NUMBER_PARTS`
  `2`
  `public static final int`
  `GENERATE_WORD_PARTS`
  `1`
  `public static final int`
  `IGNORE_KEYWORDS`
  `512`
  `public static final int`
  `LOWER`
  `1`
  `public static final int`
  `PRESERVE_ORIGINAL`
  `32`
  `public static final int`
  `SPLIT_ON_CASE_CHANGE`
  `64`
  `public static final int`
  `SPLIT_ON_NUMERICS`
  `128`
  `public static final int`
  `STEM_ENGLISH_POSSESSIVE`
  `256`
  `public static final int`
  `SUBWORD_DELIM`
  `8`
  `public static final int`
  `UPPER`
  `2`
- org.apache.lucene.analysis.miscellaneous.WordDelimiterFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"wordDelimiter"`
  `public static final String`
  `PROTECTED_TOKENS`
  `"protected"`
  `public static final String`
  `TYPES`
  `"types"`
- org.apache.lucene.analysis.miscellaneous.WordDelimiterGraphFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CATENATE_ALL`
  `16`
  `public static final int`
  `CATENATE_NUMBERS`
  `8`
  `public static final int`
  `CATENATE_WORDS`
  `4`
  `public static final int`
  `GENERATE_NUMBER_PARTS`
  `2`
  `public static final int`
  `GENERATE_WORD_PARTS`
  `1`
  `public static final int`
  `IGNORE_KEYWORDS`
  `512`
  `public static final int`
  `PRESERVE_ORIGINAL`
  `32`
  `public static final int`
  `SPLIT_ON_CASE_CHANGE`
  `64`
  `public static final int`
  `SPLIT_ON_NUMERICS`
  `128`
  `public static final int`
  `STEM_ENGLISH_POSSESSIVE`
  `256`
- org.apache.lucene.analysis.miscellaneous.WordDelimiterGraphFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"wordDelimiterGraph"`
  `public static final String`
  `OFFSETS`
  `"adjustOffsets"`
  `public static final String`
  `PROTECTED_TOKENS`
  `"protected"`
  `public static final String`
  `TYPES`
  `"types"`
- org.apache.lucene.analysis.miscellaneous.WordDelimiterIterator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALPHA`
  `3`
  `public static final int`
  `ALPHANUM`
  `7`
  `public static final int`
  `DONE`
  `-1`

- org.apache.lucene.analysis.morph.BinaryDictionary<T>
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DICT_FILENAME_SUFFIX`
  `"$buffer.dat"`
  `public static final String`
  `POSDICT_FILENAME_SUFFIX`
  `"$posDict.dat"`
  `public static final String`
  `TARGETMAP_FILENAME_SUFFIX`
  `"$targetMap.dat"`
- org.apache.lucene.analysis.morph.CharacterDefinition
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILENAME_SUFFIX`
  `".dat"`
- org.apache.lucene.analysis.morph.ConnectionCosts
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILENAME_SUFFIX`
  `".dat"`
- org.apache.lucene.analysis.morph.Viterbi<T,U>
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `MAX_UNKNOWN_WORD_LENGTH`
  `1024`
  `protected static final boolean`
  `VERBOSE`
  `false`

- org.apache.lucene.analysis.ne.NepaliAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`

- org.apache.lucene.analysis.ngram.EdgeNGramFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"edgeNGram"`
- org.apache.lucene.analysis.ngram.EdgeNGramTokenFilter
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_PRESERVE_ORIGINAL`
  `false`
- org.apache.lucene.analysis.ngram.EdgeNGramTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_GRAM_SIZE`
  `1`
  `public static final int`
  `DEFAULT_MIN_GRAM_SIZE`
  `1`
- org.apache.lucene.analysis.ngram.EdgeNGramTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"edgeNGram"`
- org.apache.lucene.analysis.ngram.NGramFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"nGram"`
- org.apache.lucene.analysis.ngram.NGramTokenFilter
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_PRESERVE_ORIGINAL`
  `false`
- org.apache.lucene.analysis.ngram.NGramTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_NGRAM_SIZE`
  `2`
  `public static final int`
  `DEFAULT_MIN_NGRAM_SIZE`
  `1`
- org.apache.lucene.analysis.ngram.NGramTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"nGram"`

- org.apache.lucene.analysis.nl.DutchAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"dutch_stop.txt"`

- org.apache.lucene.analysis.no.NorwegianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"norwegian_stop.txt"`
- org.apache.lucene.analysis.no.NorwegianLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"norwegianLightStem"`
- org.apache.lucene.analysis.no.NorwegianMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"norwegianMinimalStem"`
- org.apache.lucene.analysis.no.NorwegianNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"norwegianNormalization"`

- org.apache.lucene.analysis.path.PathHierarchyTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `DEFAULT_DELIMITER`
  `'/'`
  `public static final int`
  `DEFAULT_SKIP`
  `0`
- org.apache.lucene.analysis.path.PathHierarchyTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"pathHierarchy"`
- org.apache.lucene.analysis.path.ReversePathHierarchyTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `DEFAULT_DELIMITER`
  `'/'`
  `public static final int`
  `DEFAULT_SKIP`
  `0`

- org.apache.lucene.analysis.pattern.PatternCaptureGroupFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"patternCaptureGroup"`
- org.apache.lucene.analysis.pattern.PatternReplaceCharFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"patternReplace"`
- org.apache.lucene.analysis.pattern.PatternReplaceFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"patternReplace"`
- org.apache.lucene.analysis.pattern.PatternTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `GROUP`
  `"group"`
  `public static final String`
  `NAME`
  `"pattern"`
  `public static final String`
  `PATTERN`
  `"pattern"`
- org.apache.lucene.analysis.pattern.PatternTypingFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"patternTyping"`
- org.apache.lucene.analysis.pattern.SimplePatternSplitTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"simplePatternSplit"`
  `public static final String`
  `PATTERN`
  `"pattern"`
- org.apache.lucene.analysis.pattern.SimplePatternTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"simplePattern"`
  `public static final String`
  `PATTERN`
  `"pattern"`

- org.apache.lucene.analysis.payloads.DelimitedPayloadTokenFilter
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `DEFAULT_DELIMITER`
  `'|'`
- org.apache.lucene.analysis.payloads.DelimitedPayloadTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DELIMITER_ATTR`
  `"delimiter"`
  `public static final String`
  `ENCODER_ATTR`
  `"encoder"`
  `public static final String`
  `NAME`
  `"delimitedPayload"`
- org.apache.lucene.analysis.payloads.NumericPayloadTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"numericPayload"`
- org.apache.lucene.analysis.payloads.TokenOffsetPayloadTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"tokenOffsetPayload"`
- org.apache.lucene.analysis.payloads.TypeAsPayloadTokenFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"typeAsPayload"`

- org.apache.lucene.analysis.pt.PortugueseAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"portuguese_stop.txt"`
- org.apache.lucene.analysis.pt.PortugueseLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"portugueseLightStem"`
- org.apache.lucene.analysis.pt.PortugueseMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"portugueseMinimalStem"`
- org.apache.lucene.analysis.pt.PortugueseStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"portugueseStem"`

- org.apache.lucene.analysis.query.QueryAutoStopWordAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final float`
  `defaultMaxDocFreqPercent`
  `0.4000000059604645f`

- org.apache.lucene.analysis.reverse.ReverseStringFilter
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `INFORMATION_SEPARATOR_MARKER`
  `'\u001f'`
  `public static final char`
  `PUA_EC00_MARKER`
  `'\uec00'`
  `public static final char`
  `RTL_DIRECTION_MARKER`
  `'\u200f'`
  `public static final char`
  `START_OF_HEADING_MARKER`
  `'\u0001'`
- org.apache.lucene.analysis.reverse.ReverseStringFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"reverseString"`

- org.apache.lucene.analysis.ro.RomanianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.ro.RomanianNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"romanianNormalization"`

- org.apache.lucene.analysis.ru.RussianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"russian_stop.txt"`
- org.apache.lucene.analysis.ru.RussianLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"russianLightStem"`

- org.apache.lucene.analysis.shingle.FixedShingleFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"fixedShingle"`
- org.apache.lucene.analysis.shingle.ShingleFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FILLER_TOKEN`
  `"_"`
  `public static final int`
  `DEFAULT_MAX_SHINGLE_SIZE`
  `2`
  `public static final int`
  `DEFAULT_MIN_SHINGLE_SIZE`
  `2`
  `public static final String`
  `DEFAULT_TOKEN_SEPARATOR`
  `" "`
  `public static final String`
  `DEFAULT_TOKEN_TYPE`
  `"shingle"`
- org.apache.lucene.analysis.shingle.ShingleFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"shingle"`

- org.apache.lucene.analysis.snowball.SnowballPorterFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"snowballPorter"`
  `public static final String`
  `PROTECTED_TOKENS`
  `"protected"`

- org.apache.lucene.analysis.sr.SerbianAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.sr.SerbianNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"serbianNormalization"`

- org.apache.lucene.analysis.sv.SwedishAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"swedish_stop.txt"`
- org.apache.lucene.analysis.sv.SwedishLightStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"swedishLightStem"`
- org.apache.lucene.analysis.sv.SwedishMinimalStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"swedishMinimalStem"`

- org.apache.lucene.analysis.synonym.SynonymFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TYPE_SYNONYM`
  `"SYNONYM"`
- org.apache.lucene.analysis.synonym.SynonymFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"synonym"`
- org.apache.lucene.analysis.synonym.SynonymGraphFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TYPE_SYNONYM`
  `"SYNONYM"`
- org.apache.lucene.analysis.synonym.SynonymGraphFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"synonymGraph"`
- org.apache.lucene.analysis.synonym.SynonymMap
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `WORD_SEPARATOR`
  `'\u0000'`

- org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_SYNONYMS_PER_TERM`
  `5`
  `public static final float`
  `DEFAULT_MIN_ACCEPTED_SIMILARITY`
  `0.800000011920929f`
  `public static final String`
  `NAME`
  `"Word2VecSynonym"`

- org.apache.lucene.analysis.ta.TamilAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`

- org.apache.lucene.analysis.te.TeluguAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.te.TeluguNormalizationFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"teluguNormalization"`
- org.apache.lucene.analysis.te.TeluguStemFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"teluguStem"`

- org.apache.lucene.analysis.th.ThaiAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.th.ThaiTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"thai"`

- org.apache.lucene.analysis.tr.ApostropheFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"apostrophe"`
- org.apache.lucene.analysis.tr.TurkishAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_STOPWORD_FILE`
  `"stopwords.txt"`
- org.apache.lucene.analysis.tr.TurkishLowerCaseFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"turkishLowercase"`

- org.apache.lucene.analysis.util.CharTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_WORD_LEN`
  `255`
- org.apache.lucene.analysis.util.ElisionFilterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"elision"`
- org.apache.lucene.analysis.util.SegmentingTokenizerBase
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `BUFFERMAX`
  `1024`
- org.apache.lucene.analysis.util.UnicodeProps
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `UNICODE_VERSION`
  `"16.0.0.0"`

- org.apache.lucene.analysis.wikipedia.WikipediaTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACRONYM_ID`
  `2`
  `public static final int`
  `ALPHANUM_ID`
  `0`
  `public static final int`
  `APOSTROPHE_ID`
  `1`
  `public static final String`
  `BOLD`
  `"b"`
  `public static final int`
  `BOLD_ID`
  `12`
  `public static final String`
  `BOLD_ITALICS`
  `"bi"`
  `public static final int`
  `BOLD_ITALICS_ID`
  `14`
  `public static final int`
  `BOTH`
  `2`
  `public static final String`
  `CATEGORY`
  `"c"`
  `public static final int`
  `CATEGORY_ID`
  `11`
  `public static final String`
  `CITATION`
  `"ci"`
  `public static final int`
  `CITATION_ID`
  `10`
  `public static final int`
  `CJ_ID`
  `7`
  `public static final int`
  `COMPANY_ID`
  `3`
  `public static final int`
  `EMAIL_ID`
  `4`
  `public static final String`
  `EXTERNAL_LINK`
  `"el"`
  `public static final int`
  `EXTERNAL_LINK_ID`
  `9`
  `public static final String`
  `EXTERNAL_LINK_URL`
  `"elu"`
  `public static final int`
  `EXTERNAL_LINK_URL_ID`
  `17`
  `public static final String`
  `HEADING`
  `"h"`
  `public static final int`
  `HEADING_ID`
  `15`
  `public static final int`
  `HOST_ID`
  `5`
  `public static final String`
  `INTERNAL_LINK`
  `"il"`
  `public static final int`
  `INTERNAL_LINK_ID`
  `8`
  `public static final String`
  `ITALICS`
  `"i"`
  `public static final int`
  `ITALICS_ID`
  `13`
  `public static final int`
  `NUM_ID`
  `6`
  `public static final String`
  `SUB_HEADING`
  `"sh"`
  `public static final int`
  `SUB_HEADING_ID`
  `16`
  `public static final int`
  `TOKENS_ONLY`
  `0`
  `public static final int`
  `UNTOKENIZED_ONLY`
  `1`
  `public static final int`
  `UNTOKENIZED_TOKEN_FLAG`
  `1`
- org.apache.lucene.analysis.wikipedia.WikipediaTokenizerFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"wikipedia"`
  `public static final String`
  `TOKEN_OUTPUT`
  `"tokenOutput"`
  `public static final String`
  `UNTOKENIZED_TYPES`
  `"untokenizedTypes"`